Bug 519658 - smolt is missing a dependency on hal
smolt is missing a dependency on hal
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-27 06:24 EDT by Ville Skyttä
Modified: 2010-01-25 10:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-25 10:59:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2009-08-27 06:24:58 EDT
smolt appears to require hal, so it should have a dependency on it.  The instructions in the traceback below also seem to assume that hal is installed.

# smoltSendProfile
/usr/share/smolt/client/smolt.py:333: DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
  self.message = message
Traceback (most recent call last):
  File "/usr/bin/smoltSendProfile", line 36, in <module>
    from scan import scan, rating
  File "/usr/share/smolt/client/scan.py", line 30, in <module>
    h = smolt.Hardware()
  File "/usr/share/smolt/client/smolt.py", line 358, in __init__
    raise SystemBusError, _('Could not connect to hal, is it running?\nRun "service haldaemon start" as root')
smolt.SystemBusError/usr/share/smolt/client/smolt.py:337: DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
  return str(self.message)
: Could not connect to hal, is it running?
Run "service haldaemon start" as root
Comment 1 Ville Skyttä 2009-11-12 16:22:28 EST
ping?
Comment 2 Bug Zapper 2009-11-16 06:45:01 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Mike McGrath 2010-01-25 10:59:22 EST
Oops, I must have completely missed this bug, I've made the fix, should be releasing it by the end of the week.

Note You need to log in before you can comment on or make changes to this bug.